import type { UnitDialogProps } from '../components/unit-dialog/UnitDialogProps';
export declare const useUnitForm: import("pinia").StoreDefinition<"unitForm", import("pinia")._UnwrapAll<Pick<{
    createUnit: () => void;
    updateUnit: (unitToUpdate: FdoInventoryUnit) => Promise<void>;
    deleteUnit: (unit: FdoInventoryUnit) => void;
    unitDialogProps: import("vue").Ref<UnitDialogProps | undefined, UnitDialogProps | undefined>;
    unitViewLoading: import("vue").Ref<boolean, boolean>;
}, "unitDialogProps" | "unitViewLoading">>, Pick<{
    createUnit: () => void;
    updateUnit: (unitToUpdate: FdoInventoryUnit) => Promise<void>;
    deleteUnit: (unit: FdoInventoryUnit) => void;
    unitDialogProps: import("vue").Ref<UnitDialogProps | undefined, UnitDialogProps | undefined>;
    unitViewLoading: import("vue").Ref<boolean, boolean>;
}, never>, Pick<{
    createUnit: () => void;
    updateUnit: (unitToUpdate: FdoInventoryUnit) => Promise<void>;
    deleteUnit: (unit: FdoInventoryUnit) => void;
    unitDialogProps: import("vue").Ref<UnitDialogProps | undefined, UnitDialogProps | undefined>;
    unitViewLoading: import("vue").Ref<boolean, boolean>;
}, "createUnit" | "updateUnit" | "deleteUnit">>;
